# Class LineTableEnvironment

java.lang.Object
uk.ac.starlink.task.LineEnvironment
uk.ac.starlink.ttools.task.LineTableEnvironment

All Implemented Interfaces:
  `uk.ac.starlink.task.Environment, TableEnvironment`

public class LineTableEnvironment extends uk.ac.starlink.task.LineEnvironment implements TableEnvironment
Execution environment suitable for use with the TTOOLS package. This inherits most of its behaviour from `LineEnvironment` but also impelements the additional methods of the `TableEnvironment` interface.

Since:
  27 Nov 2006
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.LineEnvironment

`INDIRECTION_CHAR, NUM_TRIES`

## Constructor Summary

Constructors
Constructor
Description
`LineTableEnvironment()`

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.jdbc.JDBCAuthenticator`
`getJdbcAuthenticator()`
Returns a JDBC authenticator suitable for use in this environment.
`static uk.ac.starlink.table.jdbc.JDBCAuthenticator`
`getJdbcAuthenticator(uk.ac.starlink.task.Environment env)`
Returns a suitable JDBC authenticator for a given environment.
`String`
`getParamHelp(uk.ac.starlink.task.Parameter<?> param)`
`static uk.ac.starlink.table.StoragePolicy`
`getStoragePolicy(uk.ac.starlink.task.Environment env)`
Returns a suitable storage policy for a given environment.
`uk.ac.starlink.table.StarTableFactory`
`getTableFactory()`
Returns a table factory suitable for use in this environment.
`static uk.ac.starlink.table.StarTableFactory`
`getTableFactory(uk.ac.starlink.task.Environment env)`
Returns a suitable table factory for a given environment.
`uk.ac.starlink.table.StarTableOutput`
`getTableOutput()`
Returns a table output marshaller suitable for use in this environment.
`static uk.ac.starlink.table.StarTableOutput`
`getTableOutput(uk.ac.starlink.task.Environment env)`
Returns a suitable table output marshaller for a given environment.
`boolean`
`isDebug()`
Indicates whether we are running in debug mode.
`boolean`
`isHidden(uk.ac.starlink.task.Parameter<?> param)`
`boolean`
`isStrictVotable()`
Determines whether votables are to be parsed in strict mode.
`static boolean`
`isStrictVotable(uk.ac.starlink.task.Environment env)`
Determines whether votables are to be parsed in strict mode.
`static String`
`normaliseName(String name)`
Normalises a given name.
`boolean`
`paramNameMatches(String envName, uk.ac.starlink.task.Parameter<?> param)`
Uses `normaliseName(String)`.
`void`
`setDebug(boolean debug)`
Sets whether we are running in debug mode.
`void`
`setStrictVotable(boolean strict)`
Sets whether votables should be parsed in strict mode.

### Methods inherited from class uk.ac.starlink.task.LineEnvironment

`acquireValue, checkParameters, clearValue, getAssignments, getErrorStream, getInteractive, getNames, getOutputStream, getPromptAll, getUnused, setErrorStream, setInteractive, setOutputStream, setPromptAll, setWords`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.task.Environment

`acquireValue, clearValue, getErrorStream, getNames, getOutputStream`

## Constructor Details

### LineTableEnvironment

public LineTableEnvironment()

## Method Details

### isHidden

public boolean isHidden(uk.ac.starlink.task.Parameter<?> param)

Overrides:
  `isHidden` in class `uk.ac.starlink.task.LineEnvironment`

### getParamHelp

public String getParamHelp(uk.ac.starlink.task.Parameter<?> param)

Overrides:
  `getParamHelp` in class `uk.ac.starlink.task.LineEnvironment`

### getTableFactory

public uk.ac.starlink.table.StarTableFactory getTableFactory()
Returns a table factory suitable for use in this environment.

Specified by:
  `getTableFactory` in interface `TableEnvironment`
Returns:
  table factory

### getTableOutput

public uk.ac.starlink.table.StarTableOutput getTableOutput()
Returns a table output marshaller suitable for use in this environment.

Specified by:
  `getTableOutput` in interface `TableEnvironment`
Returns:
  table output

### getJdbcAuthenticator

public uk.ac.starlink.table.jdbc.JDBCAuthenticator getJdbcAuthenticator()
Returns a JDBC authenticator suitable for use in this environment.

Specified by:
  `getJdbcAuthenticator` in interface `TableEnvironment`
Returns:
  JDBC authenticator

### isDebug

public boolean isDebug()
Indicates whether we are running in debug mode.

Specified by:
  `isDebug` in interface `TableEnvironment`
Returns:
  true iff debugging output is required

### setDebug

public void setDebug(boolean debug)
Sets whether we are running in debug mode.

Specified by:
  `setDebug` in interface `TableEnvironment`
Parameters:
  `debug` - set true if you want debugging messages

### isStrictVotable

public boolean isStrictVotable()
Determines whether votables are to be parsed in strict mode.

Specified by:
  `isStrictVotable` in interface `TableEnvironment`
Returns:
  true if VOTables will be interpreted strictly in accordance with the standard

### setStrictVotable

public void setStrictVotable(boolean strict)
Sets whether votables should be parsed in strict mode.

Specified by:
  `setStrictVotable` in interface `TableEnvironment`
Parameters:
  `strict` - true if VOTables should be interpreted strictly in accordance with the standard

### paramNameMatches

public boolean paramNameMatches(String envName, uk.ac.starlink.task.Parameter<?> param)
Uses `normaliseName(String)`.

Overrides:
  `paramNameMatches` in class `uk.ac.starlink.task.LineEnvironment`

### normaliseName

public static String normaliseName(String name)
Normalises a given name. This folds to lower case, and may modify spelling.

Parameters:
  `name` - input name
Returns:
  normalised name

### getTableFactory

public static uk.ac.starlink.table.StarTableFactory getTableFactory(uk.ac.starlink.task.Environment env)
Returns a suitable table factory for a given environment. If `env` is a TableEnvironement then `env`'s factory is returned, otherwise a default one is returned.

Parameters:
  `env` - execution environment
Returns:
  table factory

### getTableOutput

public static uk.ac.starlink.table.StarTableOutput getTableOutput(uk.ac.starlink.task.Environment env)
Returns a suitable table output marshaller for a given environment. If `env` is a TableEnvironment then `env`'s outputter is returned, otherwise a default one is returned.

Parameters:
  `env` - execution environment
Returns:
  table output

### getJdbcAuthenticator

public static uk.ac.starlink.table.jdbc.JDBCAuthenticator getJdbcAuthenticator(uk.ac.starlink.task.Environment env)
Returns a suitable JDBC authenticator for a given environment. If `env` is a TableEnvironment then `env`'s authenticator is returned, otherwise a new one is returned.

Parameters:
  `env` - execution environment
Returns:
  JDBC authenticator

### getStoragePolicy

public static uk.ac.starlink.table.StoragePolicy getStoragePolicy(uk.ac.starlink.task.Environment env)
Returns a suitable storage policy for a given environment.

Parameters:
  `env` - execution environment
Returns:
  storage policy

### isStrictVotable

public static boolean isStrictVotable(uk.ac.starlink.task.Environment env)
Determines whether votables are to be parsed in strict mode.

Parameters:
  `env` - execution environment
Returns:
  true if VOTables will be interpreted strictly in accordance with the standard